net.sf.cglib.reflect

## Class FastMember

- java.lang.Object
- - net.sf.cglib.reflect.FastMember

- Direct Known Subclasses:
    FastConstructor, FastMethod

      public abstract class FastMember
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Class` | `getDeclaringClass()`
    `abstract java.lang.Class[]` | `getExceptionTypes()`
    `int` | `getIndex()`
    `int` | `getModifiers()`
    `java.lang.String` | `getName()`
    `abstract java.lang.Class[]` | `getParameterTypes()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getParameterTypes

          public abstract java.lang.Class[] getParameterTypes()

    - #### getExceptionTypes

          public abstract java.lang.Class[] getExceptionTypes()

    - #### getIndex

          public int getIndex()

    - #### getName

          public java.lang.String getName()

    - #### getDeclaringClass

          public java.lang.Class getDeclaringClass()

    - #### getModifiers

          public int getModifiers()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright (c) 2001 - Apache Software Foundation